=begin pod

=TITLE  X::Method::NotFound

    class X::Method::NotFound is Exception

Thrown when the user tries to call a method that isn't there.

For example C<1.nosuch> dies with

    No such method 'nosuch' for invocant of type 'Int'

=head1 Methods

=head2 method

    method method() returns Str:D

Returns the method name that was invoked.

=head2 typename

    method typename returns Str:D

Returns the name of the invocant type.

=head2 private

    method private returns Bool:D

Returns C<True> for private methods, and C<False> for public methods.

=end pod
